Arsel AI API - أرسل
Arse.aiRegister
Arse.aiRegister
  1. Contact Lists
  • Account
    • Get authenticated account info
      GET
  • Domains
    • List domains
      GET
    • Create a domain (and generate verification DNS records)
      POST
    • Delete a domain
      DELETE
  • Contact Lists
    • List contact lists
      GET
    • Create a contact list
      POST
    • Import subscribers into a contact list
      POST
    • List subscribers for a contact list
      GET
    • Get subscriber details (including subscriber mails)
      GET
    • Create a subscriber in a contact list
      POST
    • Update a subscriber (by subscriber UUID)
      PUT
    • Delete a subscriber (by subscriber UUID)
      DELETE
    • Toggle subscriber subscription status
      PUT
  • Campaigns
    • List campaigns
      GET
    • Create a campaign
      POST
    • Update a campaign
      PUT
    • Delete a campaign
      DELETE
  • Templates
    • List templates
      GET
    • Toggle template publish status
      PUT
  • Email Sending
    • Send an email (queued)
      POST
  • Schemas
    • PaginationLinks
    • PaginationMeta
    • Domain
    • DomainCollection
    • ContactList
    • ContactListPaginator
    • CreatedContactList
    • CreateContactListResponse
    • Subscriber
    • SubscriberPaginator
    • SubscriberMail
    • SubscriberMailPaginator
    • SubscriberDetailsResponse
    • Campaign
    • CampaignCollection
    • CampaignCreateOrUpdateResponse
    • DeleteResponse
    • TemplateListItem
    • TemplatePaginator
    • ErrorResponse
    • MessageResponse
    • AccountInfoResponse
    • CreateDomainRequest
    • CreateContactListRequest
    • CreateOrUpdateSubscriberRequest
    • CreateSubscriberResponse
    • ImportSubscribersRequest
    • CreateOrUpdateCampaignRequest
    • SendEmailRequest
  1. Contact Lists

Get subscriber details (including subscriber mails)

GET
/v1/contact-lists/subscriber/{uuid}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Subscriber + paginated subscriber_mails
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.arsel.ai/api/v1/contact-lists/subscriber/?per_page=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "subscriber_mails": {
        "current_page": 0,
        "data": [
            {
                "uuid": "string",
                "email": "string",
                "sent_at": "string",
                "opens": 0,
                "clicks": 0,
                "complaints": 0,
                "hard_bounces": 0,
                "soft_bounces": 0,
                "unsubs": 0,
                "domain_id": 0,
                "account_id": 0,
                "automation_id": 0,
                "created_at": "string",
                "updated_at": "string"
            }
        ],
        "first_page_url": "string",
        "from": 0,
        "last_page": 0,
        "last_page_url": "string",
        "links": [
            {
                "url": "string",
                "label": "string",
                "active": true
            }
        ],
        "next_page_url": "string",
        "path": "string",
        "per_page": 0,
        "prev_page_url": "string",
        "to": 0,
        "total": 0
    },
    "subscriber": {
        "uuid": "string",
        "first_name": "string",
        "last_name": "string",
        "email": "user@example.com",
        "is_subscribed": true,
        "unsubscribed_at": "string",
        "recieved_count": 0,
        "opened_count": 0,
        "open_rate": 0,
        "click_rate": 0,
        "last_opened": "string",
        "last_clicked": "string",
        "account_id": 0,
        "customerable_type": "string",
        "customerable_id": 0,
        "tags": [
            "string"
        ],
        "created_at": "string",
        "updated_at": "string"
    }
}
Previous
List subscribers for a contact list
Next
Create a subscriber in a contact list
Built with